Package owl.translations.ltl2ldba

## Enum LTL2LDBAFunction.Configuration

- java.lang.Object
- - java.lang.Enum<LTL2LDBAFunction.Configuration>
  - - owl.translations.ltl2ldba.LTL2LDBAFunction.Configuration

- All Implemented Interfaces:
    `Serializable`, `Comparable<LTL2LDBAFunction.Configuration>`
  Enclosing class:
    LTL2LDBAFunction<S,B extends GeneralizedBuchiAcceptance,C extends RecurringObligation>

      public static enum LTL2LDBAFunction.Configuration
      extends Enum<LTL2LDBAFunction.Configuration>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `EAGER_UNFOLD` |
    `EPSILON_TRANSITIONS` |
    `FORCE_JUMPS` |
    `NON_DETERMINISTIC_INITIAL_COMPONENT` |
    `OPTIMISED_STATE_STRUCTURE` |
    `SUPPRESS_JUMPS` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static LTL2LDBAFunction.Configuration` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static LTL2LDBAFunction.Configuration[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NON_DETERMINISTIC_INITIAL_COMPONENT

          public static final LTL2LDBAFunction.Configuration NON_DETERMINISTIC_INITIAL_COMPONENT

    - #### EAGER_UNFOLD

          public static final LTL2LDBAFunction.Configuration EAGER_UNFOLD

    - #### FORCE_JUMPS

          public static final LTL2LDBAFunction.Configuration FORCE_JUMPS

    - #### OPTIMISED_STATE_STRUCTURE

          public static final LTL2LDBAFunction.Configuration OPTIMISED_STATE_STRUCTURE

    - #### SUPPRESS_JUMPS

          public static final LTL2LDBAFunction.Configuration SUPPRESS_JUMPS

    - #### EPSILON_TRANSITIONS

          public static final LTL2LDBAFunction.Configuration EPSILON_TRANSITIONS

  - ### Method Detail

    - #### values

          public static LTL2LDBAFunction.Configuration[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LTL2LDBAFunction.Configuration c : LTL2LDBAFunction.Configuration.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LTL2LDBAFunction.Configuration valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null